/*  File:  xwinsCompose.h
 *  V 2.00
 * Compose header file for xinline. Support for ISO-8859-1 
 */

/* The number of Compose first letters */
#define NCK1 61
/* The total number of second letters entries */
#define NCK2  368
KeySym TabC1[NCK1] = { XK_space, XK_plus, XK_apostrophe, XK_parenleft, XK_slash,
	XK_less, XK_parenright, XK_asciicircum, XK_greater, XK_grave,
	XK_minus, XK_asciitilde, XK_exclam, XK_bar, XK_equal,
	XK_underscore, XK_asterisk, XK_period, XK_question, XK_comma,
	XK_colon, XK_quotedbl, XK_diaeresis, XK_acute, XK_0,
	XK_1, XK_2, XK_3, XK_A, XK_B,
	XK_C, XK_D, XK_E, XK_I, XK_L,
	XK_N, XK_O, XK_P, XK_R, XK_S,
	XK_T, XK_U, XK_V, XK_X, XK_Y,
	XK_a, XK_b, XK_c, XK_d, XK_e,
	XK_i, XK_l, XK_n, XK_o, XK_p,
	XK_s, XK_t, XK_u, XK_v, XK_x,
	XK_y };
KeySym TabC2[NCK2] = {XK_apostrophe, XK_asciicircum, XK_greater, XK_grave,
	XK_asciitilde, XK_minus, XK_space,  /* space */
	XK_plus, XK_minus, /* plus */ 
	XK_space, XK_apostrophe, XK_A, XK_a, XK_E,
	XK_e, XK_I, XK_i, XK_O, XK_o,
	XK_U, XK_u, XK_Y, XK_y,  /* apostrophe */
	XK_parenleft, XK_minus, XK_c, XK_r, /* parenleft */
	XK_slash, XK_less, XK_asciicircum, XK_c, XK_C,
	XK_u, XK_U, XK_O, XK_o, /* slash */
	XK_slash, XK_less,     /* less */
	XK_parenright, XK_minus, /* parenright */
	XK_space, XK_slash, XK_0, XK_1, XK_2,
	XK_3, XK_period, XK_exclam, XK_minus, XK_underscore,
	XK_A, XK_a, XK_E, XK_e, XK_I,
	XK_i, XK_O, XK_o, XK_U, XK_u,  /* asciicircum */
	XK_space, XK_greater, XK_A, XK_a, XK_E,
	XK_e, XK_I, XK_i, XK_O, XK_o,
	XK_U, XK_u,      /* greater */
	XK_space, XK_A, XK_a, XK_E, XK_e,
	XK_I, XK_i, XK_O, XK_o, XK_U,
	XK_u,           /* grave */
	XK_parenleft, XK_parenright, XK_space, XK_l, XK_L,
	XK_y, XK_Y, XK_plus, XK_comma, XK_minus,
	XK_asciicircum, XK_colon, XK_A, XK_a, XK_D,
	XK_d, XK_N, XK_n, XK_O, XK_o,    /* minus */
	XK_space, XK_A, XK_a, XK_N, XK_n,
	XK_O, XK_o,                      /* asciitilde */
	XK_exclam, XK_P, XK_p, XK_S, XK_s,
	XK_asciicircum,         /* exclam */
	XK_C, XK_c, XK_bar,     /* bar */
	XK_L, XK_l, XK_Y, XK_y, /* equal */
	XK_A, XK_a, XK_O, XK_o, XK_asciicircum,
	XK_underscore,          /* underscore */
	XK_0, XK_A, XK_a,       /* asterisk */
	XK_asciicircum, XK_period, /* period */
	XK_question,            /* question */
	XK_minus, XK_comma, XK_C, XK_c,    /* comma */
	XK_minus,               /* colon */
	XK_quotedbl, XK_A, XK_a, XK_E, XK_e,
	XK_I, XK_i, XK_O, XK_o, XK_U,
	XK_u, XK_y,              /* quotedbl */
	XK_A, XK_a, XK_E, XK_e, XK_I,
	XK_i, XK_O, XK_o, XK_U, XK_u,
	XK_y,                    /* diaeresis */
	XK_A, XK_a, XK_E, XK_e, XK_I,
	XK_i, XK_O, XK_o, XK_U, XK_u,
	XK_Y, XK_y, XK_C, XK_c,   /* acute */
	XK_S, XK_s, XK_X, XK_x, XK_C,
	XK_c, XK_asciicircum, XK_asterisk, /* zero */
	XK_S, XK_s, XK_asciicircum, XK_2, XK_4, /* one */
	XK_asciicircum, XK_S, XK_s, /* two */
	XK_asciicircum, XK_S, XK_s, XK_4,  /* three */
	XK_T, XK_underscore, XK_grave, XK_acute, XK_apostrophe,
	XK_asciicircum, XK_greater, XK_asciitilde, XK_minus, XK_quotedbl,
	XK_diaeresis, XK_asterisk, XK_A, XK_O, XK_E,    /* A */
	XK_V,    /* B */
	XK_slash, XK_bar, XK_O, XK_o, XK_0, 
	XK_comma,     /* C */
	XK_minus,     /* D */
	XK_grave, XK_acute, XK_apostrophe, XK_asciicircum, XK_greater,
	XK_quotedbl, XK_diaeresis,     /* E */
	XK_grave, XK_acute, XK_apostrophe, XK_asciicircum, XK_greater,
	XK_quotedbl, XK_diaeresis, /* I */
	XK_V, XK_minus, XK_equal, /* L */
	XK_asciitilde, XK_minus, /* N */
	XK_S, XK_X, XK_x, XK_C, XK_c,
	XK_underscore, XK_R, XK_grave, XK_acute, XK_apostrophe,
	XK_asciicircum, XK_greater, XK_asciitilde, XK_minus, XK_quotedbl,
	XK_diaeresis, XK_slash, /* O */
	XK_exclam, /* P */
	XK_O,      /* R */
	XK_O, XK_exclam, XK_0, XK_1, XK_2,
	XK_3,     /* S */
	XK_H,     /* T */
	XK_slash, XK_grave, XK_acute, XK_apostrophe, XK_asciicircum,
	XK_greater, XK_quotedbl, XK_diaeresis, /* U */
	XK_L, XK_B, /* V */
	XK_O, XK_o, XK_0, /* X */
	XK_minus, XK_equal, XK_acute, XK_apostrophe, /* Y */
	XK_underscore, XK_grave, XK_acute, XK_apostrophe, XK_asciicircum,
	XK_greater, XK_asciitilde, XK_minus, XK_quotedbl, XK_diaeresis,
	XK_asterisk, XK_a, XK_o, XK_e,    /* a */
	XK_v, /* b */
	XK_slash, XK_bar, XK_o, XK_O, XK_0,
	XK_comma, /* c */
	XK_minus, /* d */
	XK_grave, XK_acute, XK_apostrophe, XK_greater, XK_asciicircum,
	XK_quotedbl, XK_diaeresis,	/* e */
	XK_grave, XK_acute, XK_apostrophe, XK_greater, XK_asciicircum,
	XK_quotedbl, XK_diaeresis,	/* i */
	XK_v, XK_minus, XK_equal,       /* l */
	XK_asciitilde, XK_minus,        /* n */
	XK_s, XK_x, XK_X, XK_c, XK_C,
	XK_underscore, XK_grave, XK_acute, XK_apostrophe, XK_asciicircum,
	XK_greater, XK_asciitilde, XK_minus, XK_quotedbl, XK_diaeresis,
	XK_slash,                      /* o */
	XK_exclam, /* p */
	XK_o, XK_exclam, XK_0, XK_1, XK_2,
	XK_3, XK_s, /* s */
	XK_h, /* t */
	XK_slash, XK_grave, XK_acute, XK_apostrophe, XK_asciicircum,
	XK_greater, XK_quotedbl, XK_diaeresis, /* u */
	XK_l, XK_b, /* v */
	XK_o, XK_O, XK_0, XK_x, /* x */
	XK_minus, XK_equal, XK_acute, XK_apostrophe, XK_quotedbl,
	XK_diaeresis }; /* y */

int indTC[NCK1] = {6, 8, 22, 26, 35, 37, 39, 59, 71, 82, 102,
	109, 115, 118, 122, 128, 131, 133, 134, 138, 139, 151,
	162, 176, 184, 189, 192, 196, 211, 212, 218, 219, 226,
	233, 236, 238, 255, 256, 257, 263, 264, 272, 274, 277,
	281, 295, 296, 302, 303, 310, 317, 320, 322, 338, 339,
	346, 347, 355, 357, 361, 367 };

KeySym resultC[NCK2]= { XK_apostrophe, XK_asciicircum, XK_asciicircum,
	XK_grave, XK_asciitilde, XK_asciitilde, XK_nobreakspace,
	XK_numbersign, XK_plusminus, XK_apostrophe,
	XK_acute, XK_Aacute, XK_aacute, XK_Eacute, XK_eacute,
	XK_Iacute, XK_iacute, XK_Oacute, XK_oacute, XK_Uacute,
	XK_uacute, XK_Yacute, XK_yacute, XK_bracketleft, XK_braceleft,
	XK_copyright, XK_registered, XK_backslash, XK_backslash, XK_bar,
	XK_cent, XK_cent, XK_mu, XK_mu, XK_Ooblique,
	XK_ooblique, XK_backslash, XK_guillemotleft, XK_bracketright,
	XK_braceright,
	XK_asciicircum, XK_bar, XK_degree, XK_onesuperior, XK_twosuperior,
	XK_threesuperior, XK_periodcentered, XK_brokenbar, XK_macron, XK_macron,
	XK_Acircumflex, XK_acircumflex, XK_Ecircumflex, XK_ecircumflex,
	XK_Icircumflex,
	XK_icircumflex, XK_Ocircumflex, XK_ocircumflex, XK_Ucircumflex,
	XK_ucircumflex,
	XK_asciicircum, XK_guillemotright, XK_Acircumflex, XK_acircumflex,
	XK_Ecircumflex,
	XK_ecircumflex, XK_Icircumflex, XK_icircumflex, XK_Ocircumflex,
	XK_ocircumflex,
	XK_Ucircumflex, XK_ucircumflex, XK_grave, XK_Agrave, XK_agrave,
	XK_Egrave, XK_egrave, XK_Igrave, XK_igrave, XK_Ograve,
	XK_ograve, XK_Ugrave, XK_ugrave, XK_braceleft, XK_braceright,
	XK_asciitilde, XK_sterling, XK_sterling, XK_yen, XK_yen,
	XK_plusminus, XK_notsign, XK_hyphen, XK_macron, XK_division,
	XK_Atilde, XK_atilde, XK_ETH, XK_eth, XK_Ntilde,
	XK_ntilde, XK_Otilde, XK_otilde, XK_asciitilde, XK_Atilde,
	XK_atilde, XK_Ntilde, XK_ntilde, XK_Otilde, XK_otilde,
	XK_exclamdown, XK_paragraph, XK_paragraph, XK_section, XK_section,
	XK_brokenbar, XK_cent, XK_cent, XK_brokenbar, XK_sterling,
	XK_sterling, XK_yen, XK_yen, XK_ordfeminine, XK_ordfeminine,
	XK_masculine, XK_masculine, XK_macron, XK_macron, XK_degree,
	XK_Aring, XK_aring, XK_periodcentered, XK_periodcentered,
	XK_questiondown,
	XK_notsign, XK_cedilla, XK_Ccedilla, XK_ccedilla, XK_division,
	XK_diaeresis, XK_Adiaeresis, XK_adiaeresis, XK_Ediaeresis,
	XK_ediaeresis,
	XK_Idiaeresis, XK_idiaeresis, XK_Odiaeresis, XK_odiaeresis,
	XK_Udiaeresis,
	XK_udiaeresis, XK_ydiaeresis, XK_Adiaeresis, XK_adiaeresis,
	XK_Ediaeresis,
	XK_ediaeresis, XK_Idiaeresis, XK_idiaeresis, XK_Odiaeresis,
	XK_odiaeresis,
	XK_Udiaeresis, XK_udiaeresis, XK_ydiaeresis, XK_Aacute, XK_aacute,
	XK_Eacute, XK_eacute, XK_Iacute, XK_iacute, XK_Oacute,
	XK_oacute, XK_Uacute, XK_uacute, XK_Yacute, XK_yacute,
	XK_Ccedilla, XK_ccedilla, XK_section, XK_section, XK_currency,
	XK_currency, XK_copyright, XK_copyright, XK_degree, XK_degree,
	XK_onesuperior, XK_onesuperior, XK_onesuperior, XK_onehalf,
	XK_onequarter,
	XK_twosuperior, XK_twosuperior, XK_twosuperior, XK_threesuperior,
	XK_threesuperior,
	XK_threesuperior, XK_threequarters, XK_at, XK_ordfeminine, XK_Agrave,
	XK_Aacute, XK_Aacute, XK_Acircumflex, XK_Acircumflex, XK_Atilde,
	XK_Atilde, XK_Adiaeresis, XK_Adiaeresis, XK_Aring, XK_Aring,
	XK_Aring, XK_AE, XK_brokenbar, XK_cent, XK_cent,
	XK_copyright, XK_copyright, XK_copyright, XK_Ccedilla, XK_ETH,
	XK_Egrave, XK_Eacute, XK_Eacute, XK_Ecircumflex, XK_Ecircumflex,
	XK_Ediaeresis, XK_Ediaeresis, XK_Igrave, XK_Iacute, XK_Iacute,
	XK_Icircumflex, XK_Icircumflex, XK_Idiaeresis, XK_Idiaeresis, XK_bar,
	XK_sterling, XK_sterling, XK_Ntilde, XK_Ntilde, XK_section,
	XK_currency, XK_currency, XK_copyright, XK_copyright, XK_masculine,
	XK_registered, XK_Ograve, XK_Oacute, XK_Oacute, XK_Ocircumflex,
	XK_Ocircumflex, XK_Otilde, XK_Otilde, XK_Odiaeresis, XK_Odiaeresis,
	XK_Ooblique, XK_paragraph, XK_registered, XK_section, XK_section,
	XK_section, XK_onesuperior, XK_twosuperior, XK_threesuperior, XK_THORN,
	XK_mu, XK_Ugrave, XK_Uacute, XK_Uacute, XK_Ucircumflex,
	XK_Ucircumflex, XK_Udiaeresis, XK_Udiaeresis, XK_bar, XK_brokenbar,
	XK_currency, XK_currency, XK_currency, XK_yen, XK_yen,
	XK_Yacute, XK_Yacute, XK_ordfeminine, XK_agrave, XK_aacute,
	XK_aacute, XK_acircumflex, XK_acircumflex, XK_atilde, XK_atilde,
	XK_adiaeresis, XK_adiaeresis, XK_aring, XK_aring, XK_aring,
	XK_ae, XK_brokenbar, XK_cent, XK_cent, XK_copyright,
	XK_copyright, XK_copyright, XK_ccedilla, XK_eth, XK_egrave,
	XK_eacute, XK_eacute, XK_ecircumflex, XK_ecircumflex, XK_ediaeresis,
	XK_ediaeresis, XK_igrave, XK_iacute, XK_iacute, XK_icircumflex,
	XK_icircumflex, XK_idiaeresis, XK_diaeresis, XK_bar, XK_sterling,
	XK_sterling, XK_ntilde, XK_ntilde, XK_section, XK_currency,
	XK_currency, XK_copyright, XK_copyright, XK_masculine, XK_ograve,
	XK_oacute, XK_oacute, XK_ocircumflex, XK_ocircumflex, XK_otilde,
	XK_otilde, XK_odiaeresis, XK_odiaeresis, XK_ooblique, XK_paragraph,
	XK_section, XK_section, XK_section, XK_onesuperior, XK_twosuperior,
	XK_threesuperior,XK_ssharp, XK_thorn, XK_mu, XK_ugrave,
	XK_uacute, XK_uacute, XK_ucircumflex, XK_ucircumflex, XK_udiaeresis,
	XK_udiaeresis, XK_bar, XK_brokenbar, XK_currency, XK_currency,
	XK_currency, XK_multiply, XK_yen, XK_yen, XK_yacute,
	XK_yacute, XK_ydiaeresis, XK_ydiaeresis };

/* Number of dead accents */
#define NDAK1 7

/* Number of accented letters entries */
#define NDAK2 82

KeySym TabDA1[NDAK1]= { XK_dead_grave, XK_dead_acute, XK_dead_circumflex,
	XK_dead_diaeresis, XK_dead_tilde, XK_dead_cedilla,
	XK_dead_abovering };

KeySym TabDA2[NDAK2]= { XK_space, XK_dead_grave, XK_A, XK_E, XK_I, 
	XK_O, XK_U, XK_a, XK_e, XK_i,
	XK_o, XK_u,  /* grave */
	XK_space, XK_dead_acute, XK_apostrophe, XK_A, XK_C,
	XK_E, XK_I, XK_O, XK_U, XK_Y,
	XK_a, XK_c, XK_e, XK_i, XK_o,
	XK_u, XK_y,  /* acute */
	XK_space, XK_dead_circumflex, XK_slash, XK_0, XK_1,
	XK_2, XK_3, XK_period, XK_exclam, XK_minus,
	XK_underscore, XK_A, XK_E, XK_I, XK_O,
	XK_U, XK_a, XK_e, XK_i, XK_o,
	XK_u,    /* circumflex */
	XK_space, XK_dead_diaeresis, XK_quotedbl, XK_A, XK_E,
	XK_I, XK_O, XK_U, XK_a, XK_e,
	XK_i, XK_o, XK_u, XK_y,    /* diaeresis */
	XK_space, XK_dead_tilde, XK_A, XK_N, XK_O,
	XK_a, XK_n, XK_o,   /* tilde */
	XK_space, XK_dead_cedilla, XK_comma, XK_minus, XK_C,
	XK_c,   /* cedilla */
	XK_space, XK_dead_abovering, XK_A, XK_a };  /* abovering */

int indTDA[NDAK1] = { 11, 28, 49, 63, 71, 77, 81 };

KeySym  resultDA[NDAK2] = {XK_grave, XK_grave, XK_Agrave, XK_Egrave, XK_Igrave,
	XK_Ograve, XK_Ugrave, XK_agrave, XK_egrave, XK_igrave,
	XK_ograve, XK_ugrave, XK_apostrophe, XK_apostrophe, XK_acute,
	XK_Aacute, XK_Ccedilla, XK_Eacute, XK_Iacute, XK_Oacute,
	XK_Uacute, XK_Yacute, XK_aacute, XK_ccedilla, XK_eacute,
	XK_iacute, XK_oacute, XK_uacute, XK_yacute, XK_asciicircum,
	XK_asciicircum, XK_bar, XK_degree, XK_onesuperior, XK_twosuperior,
	XK_threesuperior, XK_periodcentered, XK_brokenbar, XK_macron,XK_macron,
	XK_Acircumflex, XK_Ecircumflex, XK_Icircumflex, XK_Ocircumflex,
	XK_Ucircumflex,
	XK_acircumflex, XK_ecircumflex, XK_icircumflex, XK_ocircumflex,
	XK_ucircumflex,
	XK_quotedbl, XK_quotedbl, XK_diaeresis, XK_Adiaeresis, XK_Ediaeresis,
	XK_Idiaeresis, XK_Odiaeresis, XK_Udiaeresis, XK_adiaeresis,
	XK_ediaeresis,
	XK_idiaeresis, XK_odiaeresis, XK_udiaeresis, XK_ydiaeresis,
	XK_asciitilde,
	XK_asciitilde, XK_Atilde, XK_Ntilde, XK_Otilde, XK_atilde,
	XK_ntilde, XK_otilde, XK_cedilla, XK_cedilla, XK_cedilla,
	XK_notsign, XK_Ccedilla, XK_ccedilla, XK_degree, XK_degree,
	XK_Aring, XK_aring };

/* End of Compose letters and dead accents file */
