/*  File: xwins_glob.h
 *  V  2.00
 *  Declare the common global variables for X applications.
 *
 */

#ifndef XWINS_GLOB_H  /* To ensure that it is included once */
#define XWINS_GLOB_H

#ifdef DEF_APP_GLOB      /* Defined in the xinitapp.c file */

XWMHints      *p_XWMH;     /* Hints for the window manager  */
XSizeHints    *p_XSH;      /* Size hints for window manager */
XClassHint    *p_CH;       /* Class hint for window manager */
XTextProperty WName;       /* Window name for title bar     */
XTextProperty IName;       /* Icon name for icon label      */
Display       *theDisplay; /* Connection to X display     */
GC            theGC;       /* The graphics context for main */
GC            gwGC;        /* Graphics context for graphic window */
int           AppDone = 0; /* Flag to indicate when done   */
XEvent        theEvent;    /* Structure for current event   */
XFontStruct   *theFontStruct; /* Info on the default font */
XFontStruct   *gwFontStruct; /* Font struct for graphic window */
unsigned long theBGpix,    /* Background and foreground   */ 
              theFGpix;    /* pixel values of main window */
unsigned long gwBGpix,     /* Backgr2yyound and foreground */
              gwFGpix;     /* pixels for graphic window */
char          *theAppName = " "; /* Application's name    */
Window        theMain;     /* Application's main window */
XWindowAttributes  
              MainXWA;      /* Attributes of main window */
Atom          ATOM_WM_PROTOCOLS,
              ATOM_WM_DELETE_WINDOW; /* For handling QUIT signal from WM */
int           AppLock = 0;  /* When 1 only the window given */
Window        AppLockKey;   /* in AppLockKey accepts Events */
Window        FocusedWindow; /* Subwindow to be focused */
GC	      FillGC;       /* Graphic contex for gray filling */
GC	      LightGC;      /* GC for lighting a text */
GC            InvertGC;     /* GC for inverting FG y BG */
Pixmap        theAuxPmap;   /* Auxiliary pixmap */
unsigned      theAuxPmapW,  /* Width of auxiliary pixmap */
              theAuxPmapH;  /* Height of auxiliary pixmap */
#else

extern XWMHints       *p_XWMH;
extern XSizeHints     *p_XSH;
extern XClassHint     *p_CH;
extern XTextProperty  WName;
extern XTextProperty  IName;
extern  Display       *theDisplay;
extern  GC            theGC;
extern  GC            gwGC;
extern  int           AppDone;
extern  XEvent        theEvent;
extern  XFontStruct   *theFontStruct;   
extern  XFontStruct   *gwFontStruct;
extern  unsigned long theBGpix,      
                      theFGpix; 
extern unsigned long  gwBGpix, 
                      gwFGpix;
extern  char          *theAppName;
extern  Window        theMain;
extern  XWindowAttributes 
                      MainXWA;
extern  Atom          ATOM_WM_PROTOCOLS,
                      ATOM_WM_DELETE_WINDOW;
extern  int           AppLock;
extern  Window        AppLockKey;
extern  Window        FocusedWindow;
extern  GC	      FillGC;
extern  GC	      LightGC;
extern  GC	      InvertGC;
extern  Pixmap        theAuxPmap;
extern unsigned	      theAuxPmapW,
                      theAuxPmapH;

#endif    /* #ifdef DEF_APP_GLOB */
#endif    /* #ifndef XWINS_GLOB_H  */
